<?php

namespace App\Domains\Sale\Requests;

use App\Domains\Shared\Rules\ValidTimezone;
use Illuminate\Foundation\Http\FormRequest;

class AdminAppSaleModificationPdfRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    /** @return array<string, list<string>> */
    public function rules(): array
    {
        return [
            'timezone' => ['required', 'string', new ValidTimezone],
        ];
    }
}
